Subject: JMP> RESEND: Job Monitoring MIB posted - for review; send comments; telecon 1/30

From: Tom Hastings <[email-masked]>
Date: Thu, 23 Jan 1997 18:48:06 PST

In case you copied jmp-mib.pdf, I re-posted it just now, because of a
number of MS-WORD hicups.  I still can't get rid of the { XE jmJobName }
index entries from printing.  So please recopy it so that we'll have
the same line numbers.  I haven't changed the other files.

Thanks,
Tom

>Date: Thu, 23 Jan 1997 17:01:41 -0800
>To: jmp
>From: Tom Hastings <[email-masked]>
>Subject: Job Monitoring MIB posted - for review; send comments; telecon 1/30
>Cc: Chris Wellens <[email-masked]>
>
>I've posted the first draft of the Job Monitoring MIB.
>
>I converted the spec file with the updates from the January meeting.
>
>The telecon today we agreed to send e-mail comments ahead of the
>telecon next Thursday, 1/30, from 1-3pm PST.
>
>We answered all 15 at the last meeting, but there are now 34 new issues.
>There is a list of the issues at the end of the table of contents.
>(I've attached the issues to this mail message as well).
>
>I haven't tried to compile the MIB though.  That's next.  But the group
>wanted to review it and not wait.
>
>I used MS-WORD and the styles that Rick Landau has been experimenting with
>so that MS-WORD does all of the indentions and line wrapping automatically.
>
>Outside the BEGIN/END, I've used the normal style that is currently still
>TimesRoman for easier reading.  When it comes time to publish, I'll
>change the font in the Normal style to produce the fixed pitch CourierNew.
>
>I've explained all this in a Appendix.
>
>I've also been able to build a table of contents, and index and cross
>references.
>
>Please send comments using the line numbers in the .pdf file, not the .doc
>or .pdb or .pdr file.
>
>I've posted the following files:
>
>jmp-mib.doc  - the MS-WORD source with revision marks
>jmp-mib.pdf  - the PDF file with no revision marks
>jmp-mib.pdr  - the PDF file with red revision marks
>jmp-mib.pdb  - the PDF file with black revision marks
>mib.dot      - the MS-WORD template file
>
>in ftp://ftp.pwg.org/pub/pwg/jmp/mibs/
>-rw-r--r--   1 pwg      pwg       480256 Jan 24 00:59 jmp-mib.doc
>-rw-r--r--   1 pwg      pwg       519838 Jan 24 00:43 jmp-mib.pdb
>-rw-r--r--   1 pwg      pwg       405685 Jan 24 00:45 jmp-mib.pdf
>-rw-r--r--   1 pwg      pwg       530770 Jan 24 00:48 jmp-mib.pdr
>-rw-r--r--   1 pwg      pwg        12793 Jan 24 00:48 mib.dot
>
>
>Here are the issues:
>
>TABLE OF ISSUES
>Issue 1 - Should we add a standard SNMP RowStatus object to the jmJobTable
and jmResourceTable?	3
>
>Issue 2 - If we add RowStatus to the jmJobTable, should we add a
jmGeneralTableOverflowPolicy object to the jmGeneralGroup?	3
>
>Issue 3 -  If we add jmGeneralTableOverflowPolicy object should it be
read-write?	3
>
>4'A client is the network entity that End Users use to submit jobs to
spoolers, servers, or printers and other devices, depending on the
configuration, using any job submission protocol.  The client may or may not
also use SNMP and the Job Monitoring MIB to monitor jobs, depending on
implementation.	4
>
>5A supervisor is a server that contains a control program that controls a
printer or other device.  A supervisor is a client to the printer or other
device.	4
>
>Issue 6 - Need to re-draw the job state transition diagram to add the
needsAttention state	9
>
>'Issue 7 - Restore NMS having to access both the server and printer agents
(Configuration 2b)?	13
>
>Issue 8 - If Configuration 2b is added to the spec, how does the monitor
relate a job in the server and the copy that is in the printer?	14
>
>Issue 9 - If Configuration 2b is added to the spec, add a Boolean General
object that says whether this Job Set requires the NMS to contact the
printer's agent too?	14
>
>Issue 10 - Should we make a new jmServerGroup for objects needed by the
serverOnly(4) and bothPrinterAndServer(5) configurations?	14
>
>Issue 11 - What objects should be read-write, so that the system
administrator can set policy?	18
>
>Issue 12 - Should we add an object to specify the policy for SNMP Gets for
other user's jobs?	18
>
>Issue 13 - Should the policy object for SNMP Gets for other user's jobs be
writeable?	18
>
>Issue 14 - What is the SNMPv1 and SNMPv2 error that an agent shall return
if there is no instrumentation for an object?	19
>
>Issue 15 - Why didn't the Printer MIB use this SNMP error instead of
returning unknown(2) enums?	19
>
>Issue 16 -  How do we add traps without adding too much network traffic?	19
>
>Issue 19 - Should jmGeneralQueuingAlgorithm be writeable, so that the
system administrator using an NMS can change the scheduling algorithm?	25
>
>Issue 20 - Add passThrough(6) to jmGeneralQueuingAlgorithm for servers that
just pass jobs through without queuing?	25
>
>Issue 20 - Add passThrough(6) to jmGeneralQueuingAlgorithm for servers that
just pass jobs through without queuing?	25
>
>Issue 24 - OK to have added fileName(3) to jmResourceType?	40
>
>Issue 26 - Change physicalDevice(11) to a text string, so it can be used
with servers that don't have the Printer MIB?	42
>
>Issue 27 - Why not require the agent to always return FAX numbers in ASCII,
since it is easy to convert from Unicode to ASCII?	42
>
>Issue 27 - Why not require the agent to always return FAX numbers in ASCII,
since it is easy to convert from Unicode to ASCII?	42
>
>Issue 28 - Add resource item to indicate the output-bins that the job
requests/uses?	43
>
>Issue 29 - Move any resource items to the jmJobGroup, because monitoring
applications needs to access the resource frequently without having to read
the entire jmResourceTable?	44
>
>Issue 31 - Which indexes shall be persistent across power off and which
need not be?	47
>
>Issue 32 - Should jmGeneralJobCompletedPolicy be writeable, so that the
system administrator using an NMS can change the length of time that
completed jobs are kept?	49
>
>Issue 33 - Should jmGeneralQueuingAlgorithm be writeable, so that the
system administrator using an NMS can change the scheduling algorithm?	50
>
>Issue 34 - OK to require that jmCompletedIndex be monatonically increasing?	55
>
>Issue 35 - Should we move any jmJobGroup objects to the jmResourceGroup?	56
>
>Issue 36 - Should we re-introduce jmJobDeviceId to handle configuration 2b?	57
>
>Issue 36 - Should we re-introduce jmJobDeviceId to handle configuration 2b?	57
>
>Issue 39 - Shouldn't we require any numeric portion of the client-side
identifiers to always be in the jmJobIdNumber object?	59
>
>Issue 40 - Why have two client-side identifier objects?	59
>
>Issue 41 - What is the SNMPv1 and SNMPv2 error that an agent shall return
if there is no instrumentation for an object?	59
>
>Issue 44 - Change the jmJobSourceChannel from an index in the Printer MIB
to the enum, since the server need not implement the Printer MIB?	61
>
>Issue 45 - Do we need to add the jmJobChannelInformation object to the new
jmServerGroup for servers that don't have a corresponding Printer MIB?	62
>
>Issue 46 - ISSUE - Why not return the SNMP error ???, instead of -2, if the
total K octets is unknown?	63
>
>Issue 49 - Is it worth rounding down jmJobKOctetsCompleted until the job
completes and then round up?	65
>
>Issue 52 - Are interpreters(10), sheetsCompleted(14), processingTime(20)
the right resource items to require agents to implement?	68
>
>Issue 52 - Are interpreters(10), sheetsCompleted(14), processingTime(20)
the right resource items to require agents to implement?	68
>
>Issue 53 - How can jmResourceName be a union of OCTET STRING, Integer32,
and Counter32?	69